Summary: A vr micro-Kernel
Name: Maverik
Version: 5.0
Release: 1
Copyright: GPL
Group: Development/Libraries

Source: ftp://aig.cs.man.ac.uk/pub/aig/Maverik/Maverik-5.0.tar.gz
Source1: MaverikDemos-5.0.tar.gz
Source2: Maverik-5.0-1.rpm-extras.tgz

Patch: Maverik-5.0-1-linux.patch

URL: http://aig.cs.man.ac.uk
Vendor: Advanced Interfaces Group
Packager: Adrian J. West <ajw@cs.man.ac.uk>

ExclusiveArch: i386
ExclusiveOS: Linux

Requires: Mesa >= 3.0, Mesa-devel >= 3.0
Requires: perl >= 5
Requires: egcs-c++ >= 1.0.3a-14
Requires: libtiff >= 3.4-4
Requires: bison   >= 1.25-5
Requires: flex    >= 2.5.4a-4

%description

GNU Maverik is a framework and library for developing VR applications (it
is not an end-user application). It provides optimised management of
graphics and peripheral driving capabilities for a single user. A novel
feature of GNU MAVERIK is its direct use of the applications own data
structures. This means significant performance benefits can be achieved
through application specific optmisations.

Under GNU/Linux, GNU MAVERIK can use 3DFx VOODOO cards in pairs to drive stereo
headsets. See the web pages (http://aig.cs.man.ac.uk) for more detail, and
examples of applications written using GNU MAVERIK.


Examples
----------
To run the examples, you will need to set the LD_LIBRARY_PATH to pick up
the MAVERIK library. i.e.

export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/Maverik/lib


%package demos
Summary: Maverik Demos
Requires: Maverik = 5.0
Group: Development/Libraries
%description demos
Maverik demos. AIGLab, EscapeCity and LegibleCity.

%prep
echo "prep"
%setup
%setup -T -D -b 1
%setup -T -D -a 2
%patch -p 1

%build
echo "building "
#export OS_TYPE="Linux"
#export MAV_HOME=`pwd`
#source setup_env
( ./setup --VRML97 ; make ; make clean)


%install
echo "install"

# lib
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/lib
(cd lib; cp -pr * /usr/lib/Maverik/Maverik-5.0/lib)

# include
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/incl
cp -pr incl /usr/lib/Maverik/Maverik-5.0

# examples
cp -pr examples /usr/lib/Maverik/Maverik-5.0

# bin
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/bin
install -m 755 -o 0 set_mav_vsn /usr/lib/Maverik/Maverik-5.0/bin

# src
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/src
cp -pr src /usr/lib/Maverik/Maverik-5.0

# demos (stub)
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/demos
cp -pr demos /usr/lib/Maverik/Maverik-5.0

# misc for remake
# - note, setup writes the top-level makefile.
install -m 755 -o 0 setup /usr/lib/Maverik/Maverik-5.0/setup
install -m 755 -o 0 Makefile /usr/lib/Maverik/Maverik-5.0/Makefile

# manual
install -d -m 755 -o 0 -g 0 /usr/lib/Maverik/Maverik-5.0/man/man3
#install -m 644 -o 0 Maverik.3 /usr/lib/Maverik/Maverik-5.0/man/man3
cp -pr doc/MFS/man3 /usr/lib/Maverik/Maverik-5.0/man/
install -m 644 -o 0 set_mav_vsn.3 /usr/lib/Maverik/Maverik-5.0/man/man3


%files

#%docdir /usr/lib/Maverik/Maverik-5.0/man
%doc README.rpm README INSTALL FAQ VERSIONS COPYING doc/MPG/ps/mpg.ps

%dir /usr/lib/Maverik/Maverik-5.0
/usr/lib/Maverik/Maverik-5.0/bin
/usr/lib/Maverik/Maverik-5.0/lib
/usr/lib/Maverik/Maverik-5.0/incl
/usr/lib/Maverik/Maverik-5.0/man
/usr/lib/Maverik/Maverik-5.0/src
/usr/lib/Maverik/Maverik-5.0/examples
/usr/lib/Maverik/Maverik-5.0/setup
%dir /usr/lib/Maverik/Maverik-5.0/demos
/usr/lib/Maverik/Maverik-5.0/demos/Makefile
/usr/lib/Maverik/Maverik-5.0/demos/README

%files demos
/usr/lib/Maverik/Maverik-5.0/demos/AIGLab
/usr/lib/Maverik/Maverik-5.0/demos/EscapeCity
/usr/lib/Maverik/Maverik-5.0/demos/LegibleCity

%post 
/usr/lib/Maverik/Maverik-5.0/bin/set_mav_vsn -i 5.0
echo ""
echo "Examples"
echo "----------"
echo "To run the examples, you will need to set the LD_LIBRARY_PATH to pick up"
echo "the MAVERIK library. i.e. (using the bash shell)"
echo ""
echo "      export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib/Maverik/lib"
echo ""
%preun
/usr/lib/Maverik/Maverik-5.0/bin/set_mav_vsn -e 5.0
cp /usr/lib/Maverik/Maverik-5.0/bin/set_mav_vsn /tmp

$postun
if [ $1 != 0 ] ;
then
if [ ! -e /usr/lib/Maverik/incl ];
then
	/tmp/set_mav_vsn -i newest
fi
rm -f /tmp/set_mav_vsn
fi


